
Ecube-Labs/koa-x-router`koa-x-router` is a library that extends the functionality of `@koa/router` by providing validation and automatic API documentation features. It simplifies the process of defining routes, validating request data, and generating API documentation.
TypeScript★ 5↓ 1,934/月2026年9月10日

PunctumActus/cks-coreThe single source of canonical truth — immutable, verifiable knowledge for humans and AI.
Python★ 1↓ 1,592/月2026年9月15日

RIAEvangelist/strong-typeStrongly Typed native JS without a hard requirement for transpiling. What TypeScript should have been.
JavaScript · HTML★ 8↓ 313.2K/月2026年9月24日
PHP★ 2↓ 9,744/月2026年9月13日

csstree/csstreeA tool set for CSS including fast detailed parser, walker, generator and lexer based on W3C specs and browser implementations
JavaScript★ 2,120↓ 404M/月2026年9月16日

jesusgraterol/web-utils-kitThe web-utils-kit package provides a collection of well-tested and thoroughly documented utility functions for various web development needs. Each function adheres to a strict coding style and best practices to ensure consistency and maintainability.
TypeScript★ 0↓ 2,706/月2026年9月13日
C#★ 142026年9月15日

korridor/laravel-model-validation-rulesThis package is an alternative to the Laravel built-in validation rules exists and unique. It uses Eloquent models instead of directly querying the database.
PHP★ 29↓ 14.4K/月2026年9月11日
C#★ 512026年10月17日
PHP★ 655↓ 3.2M/月2026年8月27日

theRizwan/llm-guardA TypeScript library for validating and securing LLM prompts — PII, jailbreak, prompt injection, profanity, toxicity and relevance guards. Zero-config defaults, extensible with custom patterns.
TypeScript · JavaScript★ 5↓ 5,291/月2026年9月7日
JavaScript★ 0↓ 437/月2026年9月15日
TypeScript★ 32026年9月8日
Rust★ 25↓ 105.2K/月2026年10月20日
PHP★ 12↓ 1,710/月2026年9月11日

SorinGFS/idn-hostnameAn internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46
JavaScript★ 0↓ 599.2K/月2026年9月13日

Xuqing0415/phase-barrierStage-gate framework that forces coding agents to follow real engineering SOP: spec -> tests -> implementation, with verifiable evidence required at every step. 13 language adapters, tool interception, HMAC-signed state.
Python★ 2↓ 2,339/月2026年10月21日

h2non/filetypeFast, dependency-free Go package to infer binary file types based on the magic numbers header signature
Go★ 2,2992026年9月19日
C#★ 1072026年9月12日
Python★ 123↓ 49.7M/月2026年9月16日

reowens/dotmdCLI + Claude Code plugin for managing markdown docs with YAML frontmatter — index, query, validate, graph, lifecycle-manage plans/ADRs/RFCs, Notion sync, AI summaries
JavaScript★ 0↓ 5,355/月2026年9月9日
TypeScript★ 3↓ 88.5K/月2026年9月14日
TypeScript★ 0↓ 823/月2026年9月8日

cakephp/validation[READ-ONLY] Validation library from CakePHP. This repo is a split of the main code that can be found in https://github.com/cakephp/cakephp
PHP★ 43↓ 5,289/月2026年9月5日

harshit-d3v/input-kit-phoneHeadless React phone input with full world country codes, libphonenumber-powered formatting/validation, and TypeScript. Zero styling opinions.
TypeScript · HTML★ 0↓ 1,226/月2026年9月15日
Rust★ 24↓ 161.4K/月2026年10月20日

sablier-ai/finvalRigorous validation for synthetic financial time series — 19 financial stylized-fact metrics, used as the FinBench scoring backend
Python★ 1↓ 344/月2026年9月14日
PHP★ 7↓ 3,627/月2026年9月15日

Hossiy21/razifyA developer CLI tool that manages .env files, detects secret leaks, syncs env drift across teammates, and validates environment parity between local/staging/prod all from your terminal. Written in Go.
Go · TypeScript★ 20↓ 22/月2026年10月20日

IntegerAlex/disposable-email-detectorThis repository contains a Node.js utility for detecting disposable email addresses. It helps identify whether an email address belongs to a disposable email provider, aiding in the prevention of spam and unwanted sign-ups.
TypeScript · JavaScript★ 34↓ 19.5K/月2026年9月17日